import { FIELD_COMPONENT_STRATEGY_REGISTRY as c } from "./strategies/registry.js";
import { textFieldStrategy as m } from "./strategies/textFieldStrategy/textFieldStrategy.js";
function d(t, e) {
  const o = t.fieldType?.componentId, r = o ? c[o] : void 0;
  if (!r)
    return m.render({ field: t, props: e, isFallback: !0 });
  const n = {
    field: t,
    props: e
  };
  return r.render(n);
}
export {
  d as resolveFieldComponent
};
